apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: cicd-demo
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: cicd-demo
    spec:
      containers:
        - name: cicd-demo
          image: registry.gitlab.com/daniel.euchar/springboot-cicd-demo
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: cicd-demo-registry
---
apiVersion: v1
kind: Service
metadata:
  name: cicd-demo-service
  labels:
    app: cicd-demo
spec:
  ports:
    - port: 80
      targetPort: 8080
  selector:
    app: cicd-demo
  type: LoadBalancer